%define api 0.1
%define girmajor 0.1
%define girgtk %mklibname appindicator-gir %{girmajor}
%define girgtk3 %mklibname appindicator3-gir %{girmajor}

%define major 1
%define libgtk %mklibname appindicator %{major}
%define devgtk %mklibname appindicator -d
%define libgtk3 %mklibname appindicator3_ %{major}
%define devgtk3 %mklibname appindicator3 -d

Summary:	Application indicators library
Name:		libappindicator
Version:	12.10.0
Release:	5
License:	LGPLv2+ and LGPLv3+
Group:		System/Libraries
Url:		https://launchpad.net/libappindicator
Source0:	%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE 001_opensuse_build_fix_all.patch nmarques@opensuse.org 
#-- This patch fixes python links and  eplaces pkgconfig() calls from "nunit" to "mono-nunit"
# PATCH-FIX-OPENSUSE - libappindicator-mono-nunit-fix.patch nmarques@opensuse.org 
#-- use mono-nunit for pkgconfig() calls instead of nunit
#Patch0:	libappindicator-mono-nunit-fix.patch
# PATCH-FIX-OPENSUSE - libappindicator-header-fixes.patch nmarques@opensuse.org 
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	perl-XML-SAX
BuildRequires:	vala-tools
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(dbusmenu-gtk-0.4)
BuildRequires:	pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk-sharp-2.0)
BuildRequires:	pkgconfig(indicate-0.6)
BuildRequires:	pkgconfig(indicator-0.4)
BuildRequires:	pkgconfig(indicator3-0.4)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(mono-nunit)
BuildRequires:	pkgconfig(pygobject-2.0)
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	pkgconfig(python2)

%description
A library and indicator to take menus from applications and place them in
the panel.

#----------------------------------------------------------------------------

%package -n appindicator-sharp
Summary:	Application indicator library - assembly CLI
Group:		Development/C#
Conflicts:	%{_lib}appindicator-devel < 12.10.0-4

%description -n appindicator-sharp
This package provides the appindicator-sharp assembly that allows CLI (.NET)
programs to take menus from applications and place them in the panel.

This package provides assemblies to be used by applications.

%files -n appindicator-sharp
%{_prefix}/lib/mono/appindicator-sharp/
%{_prefix}/lib/mono/gac/
%{_libdir}/cli/appindicator-sharp*
%{_libdir}/pkgconfig/appindicator-sharp-%{api}.pc

#----------------------------------------------------------------------------

%package -n appindicator-vala
Summary:	Application indicator library - Vala bindings
Group:		Development/Other

%description -n appindicator-vala
This package provides Vala bindings for the application indicator library.

%files -n appindicator-vala
%{_datadir}/vala/vapi/appindicator-%{api}.deps
%{_datadir}/vala/vapi/appindicator-%{api}.vapi

#----------------------------------------------------------------------------

%package -n appindicator3-vala
Summary:	Application indicator library - Vala bindings
Group:		Development/Other

%description -n appindicator3-vala
This package provides Vala bindings for the application indicator library.

%files -n appindicator3-vala
%{_datadir}/vala/vapi/appindicator3-%{api}.deps
%{_datadir}/vala/vapi/appindicator3-%{api}.vapi

#----------------------------------------------------------------------------

%package -n python-appindicator
Summary:	Application indicator library - Python 2 bindings
Group:		Development/Python

%description -n python-appindicator
This package provides Python 2 bindings for the application indicator library.

%files -n python-appindicator
%{_datadir}/pygtk/2.0/defs/appindicator.defs
%dir %{py_platsitedir}/appindicator/
%{py_platsitedir}/appindicator/*

#----------------------------------------------------------------------------

%package -n %{libgtk}
Summary:	Application indicator library - shared libraries
Group:		System/Libraries
Provides:	appindicator-gtk2 = %{EVRD}

%description -n %{libgtk}
A library and indicator to take menus from applications and place them in
the panel.

This package provides the shared libraries to be used by applications.

%files -n %{libgtk}
%doc gtk2/README gtk2/COPYING gtk2/COPYING.LGPL.2.1
%{_libdir}/libappindicator.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girgtk}
Summary:	GObject Introspection files for %{name}
Group:		System/Libraries
Requires:	%{libgtk} = %{EVRD}

%description -n %{girgtk}
GObject Introspection files for %{name}.

%files -n %{girgtk}
%{_libdir}/girepository-1.0/AppIndicator-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{devgtk}
Summary:	Application indicator library - development files
Group:		Development/C
Requires:	%{libgtk} = %{EVRD}
Requires:	%{girgtk} = %{EVRD}
Provides:	appindicator-gtk2-devel = %{EVRD}

%description -n %{devgtk}
A library and indicator to take menus from the applications and place them in
the panel.

This package provides the files that are needed to build applications.

%files -n %{devgtk}
%{_includedir}/libappindicator-%{api}/
%{_libdir}/libappindicator.so
%{_libdir}/pkgconfig/appindicator-%{api}.pc
%{_datadir}/gir-1.0/AppIndicator-%{girmajor}.gir

#----------------------------------------------------------------------------

%package -n %{libgtk3}
Summary:	Application indicator library - shared libraries
Group:		System/Libraries
Provides:	appindicator-gtk3 = %{EVRD}

%description -n %{libgtk3}
A library and indicator to take menus from applications and place them in
the panel.

This package provides the shared libraries to be used by applications.

%files -n %{libgtk3}
%doc gtk3/README gtk3/COPYING gtk3/COPYING.LGPL.2.1
%{_libdir}/libappindicator3.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girgtk3}
Summary:	GObject Introspection files for %{name}
Group:		System/Libraries
Requires:	%{libgtk3} = %{EVRD}
Conflicts:	%{_lib}appindicator1 < 12.10.0-4

%description -n %{girgtk3}
GObject Introspection files for %{name}.

%files -n %{girgtk3}
%{_libdir}/girepository-1.0/AppIndicator3-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{devgtk3}
Summary:	Application indicator library - development files
Group:		Development/C
Requires:	%{libgtk3} = %{EVRD}
Requires:	%{girgtk3} = %{EVRD}
Provides:	appindicator-gtk3-devel = %{EVRD}
Conflicts:	%{_lib}appindicator-devel < 12.10.0-4

%description -n %{devgtk3}
A library and indicator to take menus from the applications and place them in
the panel.

This package provides the files that are needed to build applications.

%files -n %{devgtk3}
%{_datadir}/gtk-doc/html/libappindicator/
%{_includedir}/libappindicator3-%{api}/
%{_libdir}/libappindicator3.so
%{_libdir}/pkgconfig/appindicator3-%{api}.pc
%{_datadir}/gir-1.0/AppIndicator3-%{girmajor}.gir

#----------------------------------------------------------------------------

%prep
%setup -qc

mv %{name}-%{version} gtk2
cp -r gtk2 gtk3

%build
pushd gtk2
# Warning, patch requires reconf
NOCONFIGURE=1 autoreconf -fi
%configure2_5x \
	--disable-static \
	--with-gtk=2

make LIBS='-lgmodule-2.0'
popd

pushd gtk3
# Warning, patch requires reconf
NOCONFIGURE=1 autoreconf -fi
%configure2_5x \
	--disable-static \
	--with-gtk=3

make LIBS='-lgmodule-2.0'
popd

%install
%makeinstall_std -C gtk2
%makeinstall_std -C gtk3


%changelog

* Tue Jun 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 12.10.0-5
- (bd60ace) Adjust groups for sharp and python bindings


